Subject: Re: gnupg 1.4
To: Christopher W. Richardson <>
From: Thomas Klausner <>
List: tech-pkg
Date: 01/06/2005 16:05:57
On Wed, Jan 05, 2005 at 11:42:27AM -0500, Christopher W. Richardson wrote:
> I'm attempting to upgrade to gnupg 1.4 from pkgsrc.  Compilation
> "appears" to be fine, but the make never finishes due to failures
> in gnupg-1.4.0/checks. All of the checks fail thusly:
> Making all in checks
> gmake[2]: Entering directory `/usr/pkgsrc/security/gnupg/work.i386/gnupg-1.4.0/checks'
> ./gpg_dearmor > ./pubring.pkr < ./pubring.pkr.asc
> gpg: conversion from `utf-8' to `646' not available
> I'm really stumped as to where to look to figure out what the
> problem is.  My only hunch, given that it seems to be doing
> something with character conversion, was that maybe the
> dependency on libiconv was wrong, but I've confirmed that I have
> the latest version installed, and that was my only real guess.
> Any hints on where to look to diagnose this problem would be much
> appreciated.

You're probably compiling on 1.6.x against the pkgsrc libiconv.
Adding the following line to /usr/pkg/lib/charset.alias should
fix the problem:
utf-8 ASCII

However, I'm not completely sure if it's correct.
Someone here know enough about (lib)iconv to confirm it is